import { StoreEnhancer } from "redux";
import { IModule, IExtension, IModuleStore } from "./Contracts";
/**
 * Adds dynamic module management capabilities to a redux store.
 * @param extensions: Optional. Any extensions for the store e.g. to support redux-saga or redux-thunk
 * @param initialModules: Optional. Any modules to bootstrap the store with
 */
export declare function moduleEnhancer<S1>(extensions?: IExtension[], initialModules?: IModule<S1>[]): StoreEnhancer<IModuleStore<S1>, S1>;
